Package org.apache.commons.math3.random

# Class UniformRandomGenerator

java.lang.Object
org.apache.commons.math3.random.UniformRandomGenerator

All Implemented Interfaces:
  `NormalizedRandomGenerator`

public class UniformRandomGenerator extends Object implements NormalizedRandomGenerator
This class implements a normalized uniform random generator.

Since it is a normalized random generator, it generates values from a uniform distribution with mean equal to 0 and standard deviation equal to 1. Generated values fall in the range [-√3, +√3].

Since:
  1.2

## Constructor Summary

Constructors
Constructor
Description
`UniformRandomGenerator(RandomGenerator generator)`
Create a new generator.

## Method Summary

Modifier and Type
Method
Description
`double`
`nextNormalizedDouble()`
Generate a random scalar with null mean and unit standard deviation.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### UniformRandomGenerator

public UniformRandomGenerator(RandomGenerator generator)
Create a new generator.

Parameters:
  `generator` - underlying random generator to use

## Method Details

### nextNormalizedDouble

public double nextNormalizedDouble()
Generate a random scalar with null mean and unit standard deviation.

The number generated is uniformly distributed between -&sqrt;(3) and +&sqrt;(3).

Specified by:
  `nextNormalizedDouble` in interface `NormalizedRandomGenerator`
Returns:
  a random scalar with null mean and unit standard deviation